Bug 731003 - Review Request: lua-moonscript - A little language that compiles to Lua
Summary: Review Request: lua-moonscript - A little language that compiles to Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 731000 731001 731312 731313
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 14:11 UTC by Michel Alexandre Salim
Modified: 2011-09-30 19:34 UTC (History)
3 users (show)

Fixed In Version: lua-moonscript-0.1.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 19:34:49 UTC
pahan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2011-08-16 14:11:54 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/lua-moonscript.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/lua-moonscript-0.1.0-1.fc15.src.rpm
Description:
*NOTE* requires updated lua-lpeg and lua-filesystem; currently only in Rawhide

MoonScript is a dynamic scripting language that compiles into Lua. It
gives you the power of Lua combined with a rich set of features.

MoonScript can either be compiled into Lua and run at a later time, or
it can be dynamically compiled and run using the moonloader. It’s as
simple as require "moonscript" in order to have Lua understand how to
load and run any MoonScript file.

Because it compiles right into Lua code, it is completely compatible
with alternative Lua implementations like LuaJIT, and it is also
compatible with all existing Lua code and libraries.

The command line tools also let you run MoonScript directly from the
command line, like any first-class scripting language.

Comment 1 Pavel Alexeev 2011-09-04 17:58:05 UTC
Legend:
+ - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.
MUST Items

[-] MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint *
lua-moonscript.noarch: W: spelling-error %description -l en_US moonloader -> moon loader, moon-loader, moonlighter
lua-moonscript.noarch: W: no-manual-page-for-binary moon-dump
lua-moonscript.noarch: W: no-manual-page-for-binary moonc
lua-moonscript.noarch: W: no-manual-page-for-binary moon
lua-moonscript.src: W: spelling-error %description -l en_US moonloader -> moon loader, moon-loader, moonlighter

I though that's may be skipped.

lua-moonscript.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 15)

It is trivial to fix.

lua-moonscript.src: W: invalid-url Source0: moonscript-0.1.0.tar.xz

Script in comment does not contain git URL t checkout and incorrectly break line. Please fix.

lua-moonscript.spec:15: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 15)
lua-moonscript.spec: W: invalid-url Source0: moonscript-0.1.0.tar.xz
2 packages and 1 specfiles checked; 0 errors, 9 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[-] MUST: The package must meet the Packaging Guidelines.
In this bug lua-inotify listed in section 'lua-inotify', but it doesn't listed in Requires in spec.

[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[=] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Please fix checkout script and I can check it.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[=] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[=] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[=] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[=] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+/-] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

Please add it if EPEL5 in targets too.

[+/-] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Please add it if EPEL5 in targets too.

[+/-] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Please add it if EPEL5 in targets too.

[-] MUST: Each package must consistently use macros.
You use %{__mkdir_p}, %{__cp}  and similar macroses, but plain command in rm -rf $RPM_BUILD_ROOT.
Choose one style of command. From some time I prefer plain commands instead of macroses, but it fully on you willing.

[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[=] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[=] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[-] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

Please ask upstream author to include license text.

[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[=] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[=] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[=] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Comment 2 Michel Alexandre Salim 2011-09-08 09:56:24 UTC
Hi Pavel,

Thanks for the review. I've made the changes you requested:

Spec URL: http://salimma.fedorapeople.org/specs/funpl/lua-moonscript.spec
SRPM URL:
http://salimma.fedorapeople.org/specs/funpl/lua-moonscript-0.1.0-2.fc16.src.rpm

- git checkout instructions added
- git archive command's two lines properly joined with \
- tabs -> spaces
- cp, install etc. no longer using macros (I normally don't use them, myself,
  but I based this spec on another Lua package that does)
- added runtime requirements on the build dependencies

The one change I didn't make is the dependency on lua-inotify: it's not used at build time, and at runtime it is conditionally used if available (if you want to watch a directory and automatically recompile changed source files).

Since Fedora does not recommend using RPM's "Recommend" tag, I'll probably turn this into a runtime requirement once all the packages are reviewed, but there's probably no point making the packages harder to test right now, as it does not cause any breakage.

Let me know if there's anything else that need changing. Thanks!

Comment 3 Michel Alexandre Salim 2011-09-08 09:57:22 UTC
ps EPEL5 is not targeted; its version of Lua is too old

Comment 4 Pavel Alexeev 2011-09-09 15:37:30 UTC
Also cd or pushd command missing in tarball reproducing.

And please, ask author to include license.

Package APPROVED.

Comment 5 Michel Alexandre Salim 2011-09-09 18:39:07 UTC
will do. Thanks!

New Package SCM Request
=======================
Package Name: lua-moonscript
Short Description: A little language that compiles to Lua
Owners: salimma
Branches: f14 f15 f16 el6
InitialCC:

Comment 6 Gwyn Ciesla 2011-09-09 18:42:43 UTC
Git done (by process-git-requests).

Comment 7 Michel Alexandre Salim 2011-09-10 10:25:23 UTC
lua-moonscript built for Rawhide.

Adding dependencies on lua-lpeg and lua-filesystem update; these are blocking lua-moonscript being released for our branches

Comment 8 Fedora Update System 2011-09-12 19:29:29 UTC
lua-moonscript-0.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lua-moonscript-0.1.0-2.fc16

Comment 9 Fedora Update System 2011-09-13 00:08:37 UTC
lua-moonscript-0.1.0-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-09-30 19:34:43 UTC
lua-moonscript-0.1.0-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.